# eric4.E4XML.PluginRepositoryHandler

Module implementing the handler class for reading an XML tasks file.

### Global Attributes

None

### Classes

PluginRepositoryHandler | Class implementing a sax handler to read an XML tasks file.

### Functions

None

## PluginRepositoryHandler

Class implementing a sax handler to read an XML tasks file.

### Derived from

XMLHandlerBase

### Class Attributes

None

### Class Methods

None

### Methods

PluginRepositoryHandler | Constructor
endAuthor | Handler method for the "Author" end tag.
endDescription | Handler method for the "Description" end tag.
endFilename | Handler method for the "Filename" end tag.
endName | Handler method for the "Name" end tag.
endPlugin | Handler method for the "Plugin" end tag.
endRepositoryUrl | Handler method for the "RepositoryUrl" end tag.
endShort | Handler method for the "Short" end tag.
endUrl | Handler method for the "Url" end tag.
endVersion | Handler method for the "Version" end tag.
getVersion | Public method to retrieve the version of the tasks file.
startDocumentPlugins | Handler called, when the document parsing is started.
startPlugin | Handler method for the "Plugin" start tag.
startPlugins | Handler method for the "Plugins" start tag.

### Static Methods

None

#### PluginRepositoryHandler (Constructor)

PluginRepositoryHandler(parent)

Constructor

parent
  reference to the parent dialog (PluginRepositoryDialog)

#### PluginRepositoryHandler.endAuthor

endAuthor()

Handler method for the "Author" end tag.

#### PluginRepositoryHandler.endDescription

endDescription()

Handler method for the "Description" end tag.

#### PluginRepositoryHandler.endFilename

endFilename()

Handler method for the "Filename" end tag.

#### PluginRepositoryHandler.endName

endName()

Handler method for the "Name" end tag.

#### PluginRepositoryHandler.endPlugin

endPlugin()

Handler method for the "Plugin" end tag.

#### PluginRepositoryHandler.endRepositoryUrl

endRepositoryUrl()

Handler method for the "RepositoryUrl" end tag.

#### PluginRepositoryHandler.endShort

endShort()

Handler method for the "Short" end tag.

#### PluginRepositoryHandler.endUrl

endUrl()

Handler method for the "Url" end tag.

#### PluginRepositoryHandler.endVersion

endVersion()

Handler method for the "Version" end tag.

#### PluginRepositoryHandler.getVersion

getVersion()

Public method to retrieve the version of the tasks file.

Returns:
  String containing the version number.

#### PluginRepositoryHandler.startDocumentPlugins

startDocumentPlugins()

Handler called, when the document parsing is started.

#### PluginRepositoryHandler.startPlugin

startPlugin(attrs)

Handler method for the "Plugin" start tag.

attrs
  list of tag attributes

#### PluginRepositoryHandler.startPlugins

startPlugins(attrs)

Handler method for the "Plugins" start tag.

attrs
  list of tag attributes

Up